AntPropertyTagsHandler (XDoclet 1.2.3 API)
Keywords: xdoclet.ant.AntPropertyTagsHandler class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## xdoclet.ant
Class AntPropertyTagsHandler

    java.lang.Object
      xdoclet.template.TemplateTagHandler
          xdoclet.ant.AntPropertyTagsHandler

public class AntPropertyTagsHandler
extends TemplateTagHandler

Extracts properties from Ant.

Version:
  $Revision: 1.8 $
Author:
  Aslak Hellesøy
xdoclet.taghandler
  namespace="Ant"
created
  5. januar 2002

Constructor Summary
`AntPropertyTagsHandler(Hashtable antProperties)` Describe what the AntPropertyTagsHandler constructor does

Method Summary
`String` | `property(Properties attributes)` Returns the values of a configuration parameter with the name paramName.

Methods inherited from class xdoclet.template.TemplateTagHandler
`getXJavaDoc, setXJavaDoc`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AntPropertyTagsHandler

    public AntPropertyTagsHandler(Hashtable antProperties)

  Describe what the AntPropertyTagsHandler constructor does

Parameters:
  `antProperties` - Describe what the parameter does

Method Detail

### property

    public String property(Properties attributes)
                    throws XDocletException

  Returns the values of a configuration parameter with the name paramName.

  Parameters:
    `attributes` - The attributes of the template tag
  Returns:
    The value of the ant property
  Throws:
    `XDocletException` - Description of Exception
  doc.tag
    type="content"
  doc.param
    name="name" optional="false" description="The ant property name, without enclosing ${}"

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| http://xdoclet.sourceforge.net/
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD